%global pypi_name zc.lockfile
%global pkg_name zc-lockfile

Name:           python-%{pkg_name}
Version:        3.0.post1
Release:        %mkrel 5
Summary:        Basic inter-process locks
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/zc.lockfile
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
The zc.lockfile package provides a basic portable implementation of
interprocess locks using lock files. The purpose if not specifically to lock
files, but to simply provide locks with an implementation based on
file-locking primitives. Of course, these locks could be used to mediate
access to other files. For example, the ZODB file storage implementation uses
file locks to mediate access to file-storage database files. The database
files and lock file files are separate files.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pkg_name}
The zc.lockfile package provides a basic portable implementation of
interprocess locks using lock files. The purpose if not specifically to lock
files, but to simply provide locks with an implementation based on
file-locking primitives. Of course, these locks could be used to mediate
access to other files. For example, the ZODB file storage implementation uses
file locks to mediate access to file-storage database files. The database
files and lock file files are separate files.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files zc

rm -rf %{buildroot}%{python3_sitelib}/examples
rm -rf %{buildroot}%{python3_sitelib}/*.pth

%files -n python3-%{pkg_name} -f %{pyproject_files}
%doc LICENSE.txt COPYRIGHT.txt
%doc README.rst CHANGES.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.0.post1-5.mga10
+ Revision: 2240838
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 3.0.post1-4.mga10
+ Revision: 2157985
- rebuild for python3.13

* Tue Jan 16 2024 daviddavid <daviddavid> 3.0.post1-3.mga10
+ Revision: 2031454
- rebuild again to remove old pkgs

* Sat Dec 16 2023 papoteur <papoteur> 3.0.post1-2.mga10
+ Revision: 2018458
- rebuild for python 3.12

* Sat Dec 09 2023 wally <wally> 3.0.post1-1.mga10
+ Revision: 2016596
- new version 3.0.post1
- use pyproject rpm macros

* Fri Mar 25 2022 umeabot <umeabot> 2.0-4.mga9
+ Revision: 1825612
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 2.0-3.mga9
+ Revision: 1778565
- Rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 2.0-2.mga9
+ Revision: 1705088
- rebuild for python 3.9

* Wed Nov 11 2020 guillomovitch <guillomovitch> 2.0-1.mga8
+ Revision: 1644639
- imported package python-zc-lockfile

